Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "active",
"contact_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_called_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}Campaigns
List campaigns
Newest-first, cursor-paginated. status filters to active or archived campaigns.
GET
/
campaigns
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"status": "active",
"contact_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_called_at": "2023-11-07T05:31:56Z"
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}{
"error": {
"code": "validation_error",
"message": "<string>",
"request_id": "<string>",
"field": "<string>"
}
}Authorizations
Authorization Code flow against Dialbird's OIDC provider. The issued
access token is a JWT with aud: "public-api", verified against the
issuer JWKS.
FlowAuthorization Code
- Authorization URL
- https://app-staging.dialbird.io/oidc/auth
- Token URL
- https://app-staging.dialbird.io/oidc/token
- Refresh URL
- https://app-staging.dialbird.io/oidc/token
Scopes1
api:campaigns:read
Read campaigns, their contacts, and dispositions.
Query Parameters
Required range:
1 <= x <= 100Opaque cursor from a previous response's next_cursor.
Available options:
active, archived Was this page helpful?
.png)